Notice about Roon and Mac OS Yosemite 10.10.5

The team is currently investigating compatibility issues with Mac OS 10.10.5 that have arisen due to changes we had to implement for Mac OS Catalina compatibility in our latest release, Build 475.

Outside of Catalina compatibility changes, there were no other changes in Build 475, so our current recommendation is to install Build 416 (the previous version of Roon) until our team’s investigation concludes.

Once you’ve installed Build 416 we recommend turning off your network connection, opening Roon, and disabling automatic updates for the time being by going to Settings > About. After this you can re-enable your network connection.

You can download Build 416 here and follow the instructions outlined here to install it.

Thanks for your patience as the team continues to investigate and apologies for the inconvenience.

2 Likes